// Code generated by MockGen. DO NOT EDIT.
// Source: github.com/xescugc/smf/interops/tier (interfaces: Repository)

// Package mock is a generated GoMock package.
package mock

import (
	context "context"
	gomock "github.com/golang/mock/gomock"
	tier "github.com/xescugc/smf/interops/tier"
	reflect "reflect"
)

// TierRepository is a mock of Repository interface
type TierRepository struct {
	ctrl     *gomock.Controller
	recorder *TierRepositoryMockRecorder
}

// TierRepositoryMockRecorder is the mock recorder for TierRepository
type TierRepositoryMockRecorder struct {
	mock *TierRepository
}

// NewTierRepository creates a new mock instance
func NewTierRepository(ctrl *gomock.Controller) *TierRepository {
	mock := &TierRepository{ctrl: ctrl}
	mock.recorder = &TierRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *TierRepository) EXPECT() *TierRepositoryMockRecorder {
	return m.recorder
}

// Create mocks base method
func (m *TierRepository) Create(arg0 context.Context, arg1 tier.Tier) (int, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Create", arg0, arg1)
	ret0, _ := ret[0].(int)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Create indicates an expected call of Create
func (mr *TierRepositoryMockRecorder) Create(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Create", reflect.TypeOf((*TierRepository)(nil).Create), arg0, arg1)
}

// Delete mocks base method
func (m *TierRepository) Delete(arg0 context.Context, arg1 int) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Delete", arg0, arg1)
	ret0, _ := ret[0].(error)
	return ret0
}

// Delete indicates an expected call of Delete
func (mr *TierRepositoryMockRecorder) Delete(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Delete", reflect.TypeOf((*TierRepository)(nil).Delete), arg0, arg1)
}

// Filter mocks base method
func (m *TierRepository) Filter(arg0 context.Context) ([]*tier.Tier, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Filter", arg0)
	ret0, _ := ret[0].([]*tier.Tier)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Filter indicates an expected call of Filter
func (mr *TierRepositoryMockRecorder) Filter(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Filter", reflect.TypeOf((*TierRepository)(nil).Filter), arg0)
}

// Find mocks base method
func (m *TierRepository) Find(arg0 context.Context, arg1 int) (*tier.Tier, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Find", arg0, arg1)
	ret0, _ := ret[0].(*tier.Tier)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Find indicates an expected call of Find
func (mr *TierRepositoryMockRecorder) Find(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Find", reflect.TypeOf((*TierRepository)(nil).Find), arg0, arg1)
}

// Update mocks base method
func (m *TierRepository) Update(arg0 context.Context, arg1 int, arg2 tier.Tier) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Update", arg0, arg1, arg2)
	ret0, _ := ret[0].(error)
	return ret0
}

// Update indicates an expected call of Update
func (mr *TierRepositoryMockRecorder) Update(arg0, arg1, arg2 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Update", reflect.TypeOf((*TierRepository)(nil).Update), arg0, arg1, arg2)
}
